package cn.estsh.i3plus.ext.mes.pcn.api.base;

import cn.estsh.i3plus.ext.mes.pcn.pojo.context.MesCellEquipContext;
import cn.estsh.i3plus.pojo.mes.bean.MesEquipmentVariable;
import cn.estsh.i3plus.pojo.mes.bean.MesEquipmentVariableCfg;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface IMesEquipmentExtService {

    @ApiOperation(value = "根据生产线代码,工位代码查询工位设备集合")
    List<MesCellEquipContext> getCellEquipmentList(String organizeCode, String workCenterCode, String workCellCode);

    @ApiOperation(value = "根据设备变量配置类型查询设备数据变量接口逻辑集合")
    List<MesEquipmentVariableCfg> getEquipmentVariableCfgList(String organizeCode, String variableCfgType);

    @ApiOperation(value = "根据设备代码,变量类型查询设备数据变量集合")
    List<MesEquipmentVariable> getEquipmentVariableList(String organizeCode, String equipmentCode, Integer variableType);

}
