package cn.estsh.i3plus.ext.mes.pcn.pojo.context;

import cn.estsh.i3plus.pojo.mes.bean.*;
import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.springframework.util.CollectionUtils;
import org.springframework.util.StringUtils;

import java.util.ArrayList;
import java.util.Comparator;
import java.util.List;
import java.util.TreeSet;
import java.util.stream.Collectors;

/**
 * 生产过程上下文对象
 */
@Data
public class MesSnProductionProcessContext extends MesProductionProcessContext{

    @ApiParam("零件条码信息")
    private String produceSnJson;


    //上下文赋值一模多腔信息
    public MesSnProductionProcessContext productSns(List<MesProduceSn> mesProduceSns) {
        this.produceSnJson = !CollectionUtils.isEmpty(mesProduceSns) ? JSONObject.toJSONString(mesProduceSns) : null;
        return this;
    }
}
