package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import cn.estsh.i3plus.pojo.mes.bean.MesLocationConfig;
import cn.estsh.i3plus.pojo.mes.bean.MesPart;
import cn.estsh.i3plus.pojo.mes.bean.MesPartTypePicture;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author :
 * @CreateDate : 2024-05-09 18:08
 * @Modify:
 **/
@Data
public class MesNcProcessingModel {


    @ApiParam("位置")
    List<MesLocationConfig> locationConfigList;


    @ApiParam("图片")
    private MesPartTypePicture partTypePicture;

    @ApiParam("缺陷列表")
    private List<MesNcProcessingViewModel> defectModelList;

    @ApiParam("物料")
    private MesPart part;


}
